# -*- coding: utf-8 -*-

@font_family = find_font_family("ＤＦＰ中丸ゴシック体") || @font_family

include_theme("newline-in-slides")

include_theme("clear-blue")

match(Slide) do |slides|
  slides.each do |slide|
    if slide.body.elements.collect {|element| element.class} == [Paragraph]
      paragraph = slide.body.elements[0]
      paragraph.align = :center
      paragraph.parent.prop_set("size", @large_font_size)
    end
  end
end

match("**", BlockQuote) do |quotes|
  quotes.each do |quote|
    quote.each do |element|
      element.align = :center
    end
  end
end

match("**", CustomTag) do |tags|
  tags.each do |tag|
    case tag.name
    when "center"
      tag.parent.horizontal_centering = true
      if tag.parent.parent.elements.any? {|element| element.is_a?(Image)}
        tag.parent.margin_bottom *= 10
      end
    when "right"
      tag.parent.align = "right"
    when "x-large"
      tag.parent.prop_set("size", @x_large_font_size)
    end
  end
end

